%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		bitfrost
Version:	1.0.8
Release:	1%{?dist}
Summary:	OLPC bitfrost security modules

Group:		System Environment/Base
License:	LGPLv2+ and GPLv2+ and Public Domain
URL:		http://dev.laptop.org/git/projects/bitfrost
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	python-devel

%description
A collection of Python modules which implement parts of Bitfrost, the
OLPC security platform.


%prep
%setup -q


%build
make OPTFLAGS="$RPM_OPT_FLAGS"
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
%{__install} -m 755 bitfrost/util/{pysign.so,pyverify.so} $RPM_BUILD_ROOT/%{python_sitearch}/bitfrost/util/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{python_sitearch}/bitfrost
%{python_sitearch}/bitfrost-%{version}-*.egg-info/


%changelog
* Thu Jul 02 2009 Daniel Drake <dsd@laptop.org> 1.0.0-1
- Initial import

